/**
 * 非标接口模块
 */
import { AxiosResponse } from "axios";
/**
 * 非标接口请求基类
 */
export declare class ApiRequestBase {
    parkId: any;
}
/**
 * 非标接口3des加解密工具
 */
export declare class Des3Utils {
    /**
     * 解密
     */
    static decrypt(data: any, key: any, iv: any): string;
    /**
     * 加密
     */
    static encrypt(data: any, key: any, iv: any): string;
}
/**
 * 非标接口加解密工具
 */
export declare class SecurityUtils {
    /**
     * 对数据进行加密并返回加密对象(非标加解密)
     */
    static encrypt(data: any, key: any, iv: any): {};
    /**
     * 对数据进行解密并返回解密对象(非标加解密)
     */
    static decrypt(data: any, key: any, iv: any): any;
    /**
     * 随机生成24位的字符串
     */
    static generateKey(): string;
}
/**
 * 非标接口装饰器
 *
 * 自动对请求参数进行解密
 *
 * 自动捕获异常并返回错误报文
 *
 * 自动记录日志，记录请求参数及返回报文
 * @param description 服务描述，仅为日志输出，提高可读性
 */
export declare function Service(description?: string): MethodDecorator;
/**
 * 生成非标axios实例
 */
export declare function generateAxiosInstance(config: {
    apiCategory: string;
    baseUrl: string;
    timeout?: number;
    axiosErrorHandler?: (error: any) => any;
    axiosResponseHandler?: (response: AxiosResponse<any>) => AxiosResponse<any> | Promise<AxiosResponse<any>>;
    des3: {
        key: string;
        iv: string;
    };
}): import("axios").AxiosInstance;
